%define anolis_release 3
Name:		xcb-util
Version:	0.4.0
Release:	%{anolis_release}%{?dist}
Summary:	Convenience libraries sitting on top of libxcb
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires: make
BuildRequires:	gcc
BuildRequires:	pkgconfig(xcb) >= 1.4

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package 	devel
Summary:	Development and header files for xcb-util
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util.


%prep
%setup -q


%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build


%check
make check


%install
%make_install
rm %{buildroot}%{_libdir}/*.la

%generate_compatibility_deps

%ldconfig_post


%ldconfig_postun


%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%dir %{abidir}
%{_libdir}/libxcb-util.so.1*
%{abidir}/libxcb-util.dump

%files doc
%doc README

%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.0-3
- optimise spec file

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-2
- add abi & add doc package

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.0-1
- init from upstream
